<?php
/**
 * The Header for our theme.
 *
 *
 * @package WordPress
 * @subpackage Mega Corp
 * @since Mega Corp 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php
	/*
	 * Print the <title> tag based on what is being viewed.
	 */
	global $page, $paged;

	wp_title( '|', true, 'right' );

	// Add the blog name.
	bloginfo( 'name' );

	// Add the blog description for the home/front page.
	$site_description = get_bloginfo( 'description', 'display' );
	if ( $site_description && ( is_home() || is_front_page() ) )
		echo " | $site_description";

	// Add a page number if necessary:
	if ( $paged >= 2 || $page >= 2 )
		echo ' | ' . sprintf( __( 'Page %s', 'templatesquare' ), max( $paged, $page ) );

	?></title>
<?php $bodyclass = ""; ?>
<?php  $optColorStyle = get_option('templatesquare_color_style')? get_option('templatesquare_color_style') : "blue" ;?>
<?php 
	/***********************STYLE SWITCHER****************************/
	
	$styleswitcher = get_option("templatesquare_styleswitcher");
	if($styleswitcher==true){
		$optStyleSwitcher = isset($_SESSION['StyleColor'])? $_SESSION['StyleColor'] : $optColorStyle;
		if(isset($_POST['cmbstyleswitcher'])){
			$_SESSION['StyleColor'] = $_POST['cmbstyleswitcher'];
			$optStyleSwitcher = $_SESSION['StyleColor'];
		}
		$optColorStyle = $optStyleSwitcher;
	}
	
	/***********************END STYLE SWITCHER****************************/
?>

<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="stylesheet" type="text/css" media="all" href="<?php echo get_template_directory_uri(); ?>/styles/<?php echo $optColorStyle;?>/style.css" id="skins-switcher" />
<link rel="alternate" id="templateurl" href="<?php echo get_template_directory_uri(); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php 
$favicon = get_option('templatesquare_favicon');
if($favicon =="" ){
?>
<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.ico" />
<?php }else{?>
<link rel="shortcut icon" href="<?php echo $favicon; ?>" />
<?php }?>

<?php

	/* We add some JavaScript to pages with the comment form
	 * to support sites with threaded comments (when in use).
	 */
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );

	/* Always have wp_head() just before the closing </head>
	 * tag of your theme, or you will break many plugins, which
	 * generally use this hook to add elements to <head> such
	 * as styles, scripts, and meta tags.
	 */
	wp_head();
?>

<?php if($styleswitcher==true){?>
<!-- ////////////////////////////////// -->
<!-- //         Custom Files         // -->
<!-- ////////////////////////////////// -->
<link href="<?php echo get_template_directory_uri(); ?>/styles/colorpicker.css" rel="stylesheet" type="text/css" />
<link href="<?php echo get_template_directory_uri(); ?>/styles/style-switcher.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.cookie.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/colorpicker.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/switcher.js"></script>
<?php } ?>


<!-- ////////////////////////////////// -->
<!-- //      Get Option					        // -->
<!-- ////////////////////////////////// -->
<?php
	$sliderTimeout = get_option('templatesquare_slider_timeout');
	$slider_disable_effect= get_option('templatesquare_slider_disable_effect');
	$scycle_effect = get_option('templatesquare_scycle_effect');
	$twitteruser = get_option('templatesquare_twitter');
	$numtweets = get_option('templatesquare_numtweets');
	$loadertweets = get_option('templatesquare_loadertweets');
	$headingtweets = get_option('templatesquare_headingtweets');
	$disheadingtweets = get_option('templatesquare_disheadingtweets');
?>
<!-- ////////////////////////////////// -->
<!-- //      Javascript Files        			// -->
<!-- ////////////////////////////////// -->
<script type="text/javascript">
	Cufon.replace	('h1') ('h2') ('h3') ('h4') ('h5') ('h6') ('blockquote:not(blockquote.ts-thinkbox-quote)')
	 						('.price-text') ('#intro-text') ('#intro-text-small') ('.content-highlight') 
	 						('#twitter h2') ('.slide-desc span');
	Cufon.replace('.pullquote-right', { fontFamily: 'Bookman Old Style' }) ('.pullquote-left', { fontFamily: 'Bookman Old Style' });
</script>
<script type="text/javascript">
var $jts = jQuery.noConflict();

$jts(document).ready(function(){
	
	<?php if($slider_disable_effect!=true){?>								
	/* Heder slideshow */	
	 $jts('#slider').cycle({
		timeout: <?php echo $sliderTimeout; ?>,  // milliseconds between slide transitions (0 to disable auto advance)
		fx:      '<?php echo $scycle_effect; ?>', // choose your transition type, ex: fade, scrollUp, shuffle, etc...            
		prev: '#prevslide',  // selector for element to use as event trigger for previous slide 
		next: '#nextslide',  // selector for element to use as event trigger for next slide 
		pause:   0,	  // true to enable "pause on hover"
		cleartypeNoBg: true, // set to true to disable extra cleartype fixing (leave false to force background color setting on slides) 
		pauseOnPagerHover: 0 // true to pause when hovering over pager link
	});
	<?php } ?>

	//Twitter Jquery	
	$jts("#twitter").getTwitter({
		userName: "<?php echo $twitteruser;?>",
		numTweets: <?php echo $numtweets;?>,
		loaderText: "<?php echo $loadertweets;?>",
		showHeading: <?php if(disheadingtweets!=true){echo 'false';}else{echo 'true';}?>,
		headingText: "<?php echo $headingtweets;?>",
		slideIn: true,
		slideDuration: 750
	});	

	/* Function for tab with arrow */	
	$jts(".tab-content-arrow").hide(); //Hide all content
	$jts("ul.tabs-arrow li:first").addClass("active").show(); //Activate first tab
	$jts(".tab-content-arrow:first").show(); //Show first tab content
	//On Click Event
	$jts("ul.tabs-arrow li").click(function() {
		$jts("ul.tabs-arrow li").removeClass("active"); //Remove any "active" class
		$jts(this).addClass("active"); //Add "active" class to selected tab
		$jts(".tab-content-arrow").hide(); //Hide all tab content
		var activeTab = $jts(this).find("a").attr("href"); //Find the rel attribute value to identify the active tab + content
		$jts(activeTab).fadeIn(1000); //Fade in the active content
		return false;
	});

	/* function for tab */	
	$jts(".tab-content").hide(); //Hide all content
	$jts("ul.tabs li:first").addClass("active").show(); //Activate first tab
	$jts(".tab-content:first").show(); //Show first tab content
	//On Click Event
	$jts("ul.tabs li").click(function() {
		$jts("ul.tabs li").removeClass("active"); //Remove any "active" class
		$jts(this).addClass("active"); //Add "active" class to selected tab
		$jts(".tab-content").hide(); //Hide all tab content
		var activeTab = $jts(this).find("a").attr("href"); //Find the rel attribute value to identify the active tab + content
		$jts(activeTab).fadeIn(200); //Fade in the active content
		return false;
	});
	
	/* function for toggle */
	$jts(".toggle_container").hide();
	$jts("h2.trigger").click(function(){
		$jts(this).toggleClass("active").next().slideToggle("slow");
	});
	
	
	/* widget slideshow */
	$jts('.boxslideshow').cycle({
		timeout: 6000,  // milliseconds between slide transitions (0 to disable auto advance)
		fx:      'fade', // choose your transition type, ex: fade, scrollUp, shuffle, etc...            
		pause:   0,	  // true to enable "pause on hover"
		next:".next",  // selector for element to use as click trigger for next slide 
		prev:".prev",  // selector for element to use as click trigger for previous slide 
		cleartypeNoBg:true, // set to true to disable extra cleartype fixing (leave false to force background color setting on slides)
		pauseOnPagerHover: 0
	});
	
	$jts('.boxslideshow2').cycle({
		timeout: 6000,  // milliseconds between slide transitions (0 to disable auto advance)
		fx:      'scrollVert', // choose your transition type, ex: fade, scrollUp, shuffle, etc...            
		pause:   0,	  // true to enable "pause on hover"
		next:".next",  // selector for element to use as click trigger for next slide 
		prev:".prev",  // selector for element to use as click trigger for previous slide 
		cleartypeNoBg:true, // set to true to disable extra cleartype fixing (leave false to force background color setting on slides)
		pauseOnPagerHover: 0 // true to pause when hovering over pager link
	});
	
});
</script>
<!--[if lte IE 8]>
<link href="<?php echo get_template_directory_uri(); ?>/styles/ie.css" rel="stylesheet" type="text/css" />
<![endif]-->
<!--[if IE 8]>
<link href="<?php echo get_template_directory_uri(); ?>/styles/ie8.css" rel="stylesheet" type="text/css" />
<![endif]-->

<!-- ////////////////////////////////// -->
<!-- //     Background & Title Color		 // -->
<!-- ////////////////////////////////// -->
<?php 
$optBgStyle = get_option('templatesquare_background')? get_option('templatesquare_background') : "bg-body1.png" ;
$optYourImg = get_option('templatesquare_bg_image');
$optBgColor = get_option('templatesquare_bgcolor');
$headingtitlecolor = get_option('templatesquare_headingtitlecolor');
?>
<style type="text/css" media="all">
body {
	<?php if($optYourImg==""){?>
		background-image:url(<?php echo get_stylesheet_directory_uri(); ?>/styles/bg/<?php echo $optBgStyle;?>);
	<?php } else { ?>
		background-image:url(<?php echo $optYourImg;?>);
	<?php } ?>
	background-repeat:repeat;
	background-color:<?php echo $optBgColor;?>
}
h1, h2, h3, h4, h5, h6, .posttitle a, .posttitle a:visited, #side .widget-title{color:<?php echo $headingtitlecolor; ?>}
</style>
</head>

<body <?php body_class($bodyclass); ?>>
	<div id="outer-container">
	<div id="container">
		<div id="top">
			<div id="top-left">
			<?php
			$logotype = get_option('templatesquare_logo_type');
			$logoimage =get_option('templatesquare_logo_image'); 
			$sitename = get_option('templatesquare_site_name');
			$tagline = get_option('templatesquare_tagline');
			if($logoimage == ""){ $logoimage = get_stylesheet_directory_uri() . "/images/logo.png"; }
			?>
			<?php if($logotype == 'textlogo'){ ?>
				<div id="logo">
					<?php if($sitename=="" && $tagline==""){?>
						<h1><a href="<?php echo home_url( '/'); ?>" title="<?php _e('Click for Home','templatesquare'); ?>"><?php bloginfo('name'); ?></a></h1><span class="desc"><?php bloginfo('description'); ?></span>
					<?php }else{ ?>
						<h1><a href="<?php echo home_url( '/'); ?>" title="<?php _e('Click for Home','templatesquare'); ?>"><?php echo $sitename; ?></a></h1><span class="desc"><?php echo $tagline; ?></span>
					<?php }?>
				
				</div><!-- end #logo -->
				<?php } else { ?>
				<div id="logo">
					<a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'templatesquare' ) ); ?>" rel="home">
						<img src="<?php echo $logoimage;?>" alt="" />
					</a>
				</div><!-- end #logo -->
			<?php }?>
			</div><!-- end #top-left -->
			<div id="top-right">
				<div id="top-navigation">
					<?php wp_nav_menu( array(
						  'container'       => 'ul', 
						  'menu_class'      => 'lavaLamp',
						  'menu_id'         => 'topnav', 
						  'depth'           => 0,
						  'sort_column'    => 'menu_order',
						  'fallback_cb'     => 'nav_page_fallback',
						  'theme_location' => 'mainmenu' 
						  )); 
					?>
					<div class="clear"></div><!-- clear float -->
				</div>
				<!-- end #top-navigation -->
			</div><!-- end #top-right -->
		</div><!-- end #top -->
		<?php if(is_front_page()){?>
			<?php include(TEMPLATEPATH . '/slider.php');?>
		<?php } ?>